%define oname   rvm

Name:       ruby-%{oname}
Version:    1.11.3.5
Release:    %mkrel 3
Summary:    RVM is the Ruby Version Manager (rvm)
License:    MIT
Group:      Development/Ruby
URL:        http://rvm.beginrescueend.com
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
Requires:   autoconf
Requires:   byacc
Requires:   readline-devel
Requires:   tcl-devel
Requires:   tk-devel
Requires:   db4-devel
Requires:   libgdbm-devel
Requires:   openssl-devel
Requires:   zlib-devel
Requires:   gcc-c++
Requires:   git
Requires:   curl
Requires:   patch
Requires:   yaml-devel
Requires:   libxml2-devel
# For JRuby
Suggests:   java-1.6.0-sun
# For IronRuby
Suggests:   mono-devel
BuildArch:  noarch

%description
RVM is the Ruby Version Manager (rvm). It manages Ruby interpreter
environments and switching between them.

%files
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
%gem_install



%changelog

* Fri Feb 08 2013 umeabot <umeabot> 1.11.3.5-3.mga3
+ Revision: 396446
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.11.3.5-2.mga3
+ Revision: 381440
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 04 2012 fwang <fwang> 1.11.3.5-1.mga3
+ Revision: 313900
- new version 1.11.3.5

* Mon Apr 18 2011 shikamaru <shikamaru> 1.6.3-1.mga1
+ Revision: 87855
- new version 1.6.3

* Tue Apr 12 2011 shikamaru <shikamaru> 1.5.2-1.mga1
+ Revision: 83995
- imported package ruby-rvm

